### Method

# Gsk RoundedRectis_rectilinear

#### Declaration [src]

    gboolean
    gsk_rounded_rect_is_rectilinear (
      const GskRoundedRect* self
    )

#### Description [src]

Checks if all corners of `self` are right angles and the rectangle covers all of its bounds.

This information can be used to decide if `gsk_clip_node_new()` or `gsk_rounded_clip_node_new()` should be called.

#### Return value

Type: `gboolean`

`TRUE` if the rectangle is rectilinear.